/*
 * @Author: Kane
 * @Date: 2023-11-06 14:50:08
 * @LastEditors: Kane
 * @FilePath: /task_schedule/src/test/testBI.ts
 * @Description: 测试bi相关的代码
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
import {
    type BIReportType,
    type ImportBIReportRequest,
    type ImportBIReportResponse,
    type ImportBIReportResponseHandler,
    type BITelsalerAttachingRateRecord,
    type QueryBITelsalerAttachingRateReportResponse,
    type QueryBITelsalerAttachingRateDataHandler,
    type BITelsalerRenewalRateRecord,
    importBIReport,
    queryBITelsalerAttachingRateData
} from "../utils/BIReport.ts";

function handler( response: QueryBITelsalerAttachingRateReportResponse, error: any ): void
{
    if ( response.success )
    {
        console.log( response );
    }
    else
    {
        console.log( error );
    }
}

queryBITelsalerAttachingRateData( handler );
